:root {
    --wright-orange--500: #fdbb2d;
    --wright-orange--700: #dba32a;
    --wright-grey--100: #f5f5f5;
    --wright-grey--200: #e8e8e8;
    --wright-grey--500: #919396;
    --wright-grey--700: #333333;
    --wright-grey--800: #222222;
    --wright-grey--900: #231f20;
    --wright-red--100: #ffc5c5;
    --wright-red--300: #f27171;
    --wright-red--500: #b22222;
    --wright-amber--100: #ffe2c5;
    --wright-amber--300: #f2b171;
    --wright-amber--500: #b26a22;
    --wright-green--100: #c6f5c6;
    --wright-green--300: #6bd56b;
    --wright-green--500: #22b222;
    --wright-green--700: #398409;
    --wright-blue--100: #226ab2;
    --wright-blue--300: #689dd0;
    --wright-blue--500: #22b222;
}

html {
    box-sizing: border-box;
    color: var(--wright-grey--900);
    font-family: "Roboto", sans-serif;
    font-size: 16px;
    font-weight: 400;
    scroll-behavior: smooth;
}

*,
*:before,
*:after {
    box-sizing: inherit;
}

body,
h1,
h2,
h3,
h4,
h5,
h6,
p,
ol,
ul {
    margin: 0;
    padding: 0;
    font-weight: normal;
}

ol,
ul {
    list-style: none;
}

img {
    max-width: 100%;
    height: auto;
}

.flex-1 {
    flex: 1;
}

.stroke-text {
    text-shadow: -2px -2px 0 #000, 2px -2px 0 #000, -2px 2px 0 #000, 2px 2px 0 #000;
}

.header-appbar {
    background: var(--wright-grey--900);
    color: var(--wright-gray--100);
    display: flex;
    padding: 0 min(3vw, 1rem);
    position: sticky;
    top: 0;
}

.header-logo {
    padding: 1rem;
    & img {
        height: 4rem;
    }
}

.header-nav {
    display: flex;
    & a {
        align-items: center;
        color: var(--wright-orange--500);
        display: flex;
        font-family: "Oswald", sans-serif;
        font-size: max(min(3vw, 1.5rem), 1rem);
        font-weight: 700;
        padding: 0 min(3vw, 2rem);
        text-align: center;
        text-decoration: none;
        transition: color 0.1s linear;
        &:hover {
            color: var(--wright-grey--100);
        }
    }
}

.header-hero {
    align-items: center;
    background-image: url("../images/hero_background.jpg");
    background-position: center center;
    background-size: cover;
    color: var(--wright-orange--500);
    display: flex;
    flex-direction: column;
    font-family: "Oswald", sans-serif;
    font-size: 4rem;
    font-size: max(min(12vw, 4rem), 1rem);
    font-weight: 700;
    padding: 10rem;
    text-align: center;
    height: calc(100vh - 100px);
    & img {
        max-width: 22rem;
        width: 80vw;
    }
}

.main {
    display: flex;
    flex-direction: column;
    margin: auto;
    padding: 1rem;
    max-width: 64rem;
    width: 100%;
}

.main-blurb {
    font-size: 1.5rem;
    margin: 3rem 0;
    text-align: center;
}

.main-cta {
    display: flex;
    flex-wrap: wrap;
    gap: 2rem;
    margin: 8rem 0;
    & a {
        background-color: var(--wright-orange--500);
        color: var(--wright-grey--900);
        flex: 1;
        font-family: "Oswald", sans-serif;
        font-size: 1.75rem;
        font-weight: 700;
        padding: 1rem 2rem;
        text-align: center;
        text-decoration: none;
        transition: background-color 0.1s linear;
        &:hover {
            background-color: var(--wright-orange--700);
        }
    }
}

#meet_the_team-parent_div {
    display: flex;
    flex-wrap: wrap;
    gap: 2rem;
    margin: 8rem 0;
}

.meet_the_team-blurb {
    font-size: 1.5rem;
    margin: 2rem 0;
    text-align: center;
}

#meet_the_team-child_div {
    max-width: 45%;
    & h3 {
        text-align: center;
        margin: 1rem;
    }
    & img {
        max-width: 50%;
        height: auto;
        display: block;
        margin: auto;
    }
}

.main-flag {
    margin: 1rem 0;
    text-align: center;
    & img {
        width: 32rem;
    }
}

.footer {
    background-color: var(--wright-grey--900);
    color: var(--wright-grey--100);
    padding: 4rem 0 2rem 0;
}

.footer-wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem 8rem;
    justify-content: center;
    margin: auto;
    max-width: 48rem;
}

.footer-logo {
    & img {
        height: 14rem;
    }
}

.footer-location {
    display: flex;
    flex-direction: column;
    gap: 0.2rem;
    & img {
        max-height: 8rem;
    }
}

.footer-socials {
    display: flex;
    gap: 2rem;
    height: 4rem;
    justify-content: center;
    margin: 3rem 0;
    & svg {
        fill: var(--wright-orange--500);
        &:hover {
            fill: var(--wright-grey--100);
        }
    }
}

.footer-copyright {
    align-items: center;
    color: var(--wright-orange--500);
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    margin: 1.5rem 0 0 0;
    text-align: center;
    & .footer-nav {
        display: flex;
        flex-wrap: wrap;
        gap: 0.2rem 1rem;
        justify-content: center;
        & a {
            color: var(--wright-orange--500);
            text-decoration: none;
            &:hover {
                color: var(--wright-grey--100);
            }
        }
    }
}

.section {
    scroll-margin-top: 100px;
}

.section_header {
    text-align: center;
    font-size: 3rem;
}

#territory {
    padding-top: 40px;
}

.fab {
    background-color: var(--wright-orange--500);
    color: var(--wright-grey--900);
    display: block;
    inset: auto 2rem 1rem auto;
    padding: 0.5rem 1rem;
    position: fixed;
    text-decoration: none;
    &:hover {
        background-color: var(--wright-orange--700);
    }
}